using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.ComponentModel.DataAnnotations;

[MetadataType(typeof(OrderMetadata))]
public partial class Order
{

}

public class OrderMetadata
{
    [UIHint("DateTimeTelerik")]
    public object OrderDate { get; set; }

    [UIHint("DateTimeTelerik")]
    public object RequiredDate { get; set; }

    [UIHint("DateTimeTelerik")]
    public object ShippedDate { get; set; }

    [UIHint("ForeignKeyTelerik")]
    public object Customer { get; set; }

    [UIHint("ForeignKeyTelerik")]
    public object Employee { get; set; }

    [UIHint("IntegerTelerik")]
    [Range(1, 3)]
    public object ShipVia { get; set; }

    [UIHint("DecimalTelerik")]
    public object Freight { get; set; }

    [UIHint("TextTelerik")]
    public object ShipName { get; set; }
    
    [UIHint("TextTelerik")]
    public object ShipAddress { get; set; }
    
    [UIHint("TextTelerik")]
    public object ShipCity { get; set; }
    
    [UIHint("TextTelerik")]
    public object ShipRegion { get; set; }
    
    [UIHint("TextTelerik")]
    public object ShipPostalCode { get; set; }

    [UIHint("TextTelerik")]
    public object ShipCountry { get; set; }

}
